Name:		dfarc
Version:	3.0
Release:	1%{?dist}
Summary:	Frontend and .dmod installer for GNU FreeDink

Group:		Amusements/Games
License:	GPLv3+
URL:		http://www.freedink.org/
Source0:	http://www.freedink.org/releases/dfarc-3.0.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if 0%{?suse_version}
BuildRequires:  bzip2, wxGTK-devel >= 2.6, intltool, gettext, update-desktop-files
%else
BuildRequires:	bzip2-devel, wxGTK-devel >= 2.6, intltool, gettext
# Note: Fedora 8's intltool doesn't depend on gettext, Fedora 9's does
%endif
Requires:	xdg-utils, freedink 

%description
DFArc2 makes it easy to play and manage the Dink Smallwood game and
it's numerous Dink Modules (or D-Mods).

%prep
%setup -q


%build
# Don't install desktop files, use %post instead
%configure --disable-desktopfiles
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}
%if 0%{?suse_version}
%suse_update_desktop_file -i freedink-%name
%endif


%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README THANKS TODO TRANSLATIONS.txt
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/mime/packages/*
%{_datadir}/pixmaps/*
%{_datadir}/icons/*
%{_mandir}/man1/*
#%%lang(fr) %{_datadir}/locale/fr/LC_MESSAGES/*
#%%lang(pl) %{_datadir}/locale/pl/LC_MESSAGES/*


%changelog
* Thu Aug 28 2008 Sylvain Beucler <beuc@beuc.net> 3.0-1
- Initial package
